%define gir_major		2.90
%define api		2_90
%define major	9
%define libname	%mklibname vte %{api} %{major}
%define girname	%mklibname vte-gir %{gir_major}
%define develname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		vte%{api}
Version:	0.32.2
Release:	1
Summary:	A terminal emulator widget
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
# See https://bugzilla.gnome.org/show_bug.cgi?id=663779
Patch0:		vte-0.31.0-gtk32-meta-map.patch

BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.9
BuildRequires:	pkgconfig(pango) >= 1.22.0
BuildRequires:	pkgconfig(x11)

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{libname}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%package -n %{develname}
Summary:	Files needed for developing applications which use VTE
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}

%description -n %{develname}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%package -n %{girname}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for vte with GTK+ 3.0.

%prep
%setup -qn vte-%{version}
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libdir}/%{name} \
	--enable-gtk-doc \
	--enable-introspection

%make LIBS='-lm -lncurses -lutil -lgmodule-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name "*.la" -delete
%find_lang vte-%{gir_major}

%files -f vte-%{gir_major}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte%{api}
%dir %{_libdir}/%{name}
%attr(2711,root,utmp) %{_libdir}/%{name}/gnome-pty-helper

%files -n %{libname}
%{_libdir}/libvte%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Vte-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/vte-%{gir_major}
%{_includedir}/vte-%{gir_major}
%{_libdir}/libvte%{api}.so
%{_libdir}/pkgconfig/vte-%{gir_major}.pc
%{_datadir}/gir-1.0/Vte-%{gir_major}.gir



%changelog
* Tue May 29 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.32.2-1
+ Revision: 801169
- update to new version 0.32.2

* Fri May 04 2012 Guilherme Moro <guilherme@mandriva.com> 0.32.1-1
+ Revision: 796309
- Updated to version 0.32.1

* Mon Mar 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.31.0-1
+ Revision: 782296
- imported package vte2_90

